class aes::tal_cli(
  Optional[String] $credentials = undef
) {

  file { '/home/examadm/tal-cli' :
    ensure => directory,
    owner  => examadm,
    group  => examadm,
    mode   => '0700',
  }

  file { '/home/examadm/bin/tal-cli' :
    ensure => file,
    owner  => examadm,
    group  => examadm,
    mode   => '0700',
    source => "puppet:///modules/${module_name}/tal/tal-cli",
  }

  file { '/home/examadm/tal-cli/.tal' :
    ensure  => file,
    owner   => examadm,
    group   => examadm,
    mode    => '0600',
    content => $credentials,
  }

  file { '/home/examadm/tal-cli/on_update.sh' :
    ensure => file,
    owner  => examadm,
    group  => examadm,
    mode   => '0700',
    source => "puppet:///modules/${module_name}/tal/on_update.sh",
  }

  exec { 'update-tal-repo' :
    command => '/opt/utils/update_repo.sh /home/examadm/tal-cli/source https://oauth2:glpat-bfpVssm_zFmt1YRW7cLz@gitlab.liu.se/upp-aes/tal-cli.git master',
    user    => examadm,
    group   => examadm,
    cwd     => '/home/examadm/tal-cli',
  }
}
